For the complete documentation index, see llms.txt. This page is also available as Markdown.

Pay

All pay endpoints

Get prepared data for the front-end to begin the pay process of invoice(s)

get
Authorizations
PRIVATE-TOKENstringRequired
Query parameters
invoiceIdsstringRequired

The invoiceId(s) to prepare pay data for separated by comma (,) Remember to urlencode the provided invoiceIds The invoiceIds call would look like: /v3/account/invoice/pay/prepare?invoiceIds=111111%2C22222%2C33333%2C44444

Responses
200

OK

application/json
totalAmountstringRead-onlyRequired

The total amount of the selected invoices

currencystringRequired

The currency that is being used

currencySignstringRequired

The currency sign that is being used

totalSelectedInvoiceForPayinteger · integerRequired

The total selected invoices for pay

totalSelectedCreditForSettleinteger · integerRequired

The total selected credit invoices for settle

accountCreditstringRequired

The amount of the account credit

get/v3/account/invoice/pay/prepare
GET /v3/account/invoice/pay/prepare?invoiceIds=text HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
  {
    "totalAmount": "text",
    "currency": "text",
    "currencySign": "text",
    "totalSelectedInvoiceForPay": 1,
    "totalSelectedCreditForSettle": 1,
    "accountCredit": "text",
    "invoicesForPay": [
      {
        "id": "text",
        "creationDate": 1,
        "dueDate": 1,
        "invoiceNumber": "text",
        "invoiceHash": "text",
        "description": "text",
        "currency": "text",
        "currencySign": "text",
        "amountIncVAT": "text",
        "amountExclVAT": "text",
        "paymentStatus": 1,
        "paymentDate": 1,
        "isCredit": 1,
        "remainingAmount": "text",
        "totalPaidAmount": "text"
      }
    ],
    "creditInvoices": [
      {
        "id": "text",
        "creationDate": 1,
        "dueDate": 1,
        "invoiceNumber": "text",
        "invoiceHash": "text",
        "description": "text",
        "currency": "text",
        "currencySign": "text",
        "amountIncVAT": "text",
        "amountExclVAT": "text",
        "paymentStatus": 1,
        "paymentDate": 1,
        "isCredit": 1,
        "remainingAmount": "text",
        "totalPaidAmount": "text"
      }
    ],
    "paymentMethod": [
      {
        "id": 1,
        "name": "text",
        "isSelectable": 1,
        "paymentProviderId": 1,
        "issuers": [
          {
            "id": "text",
            "name": "text"
          }
        ]
      }
    ]
  }
]

post invoice(s) data to register the transaction with the selected payment provider

post
Authorizations
PRIVATE-TOKENstringRequired
Body
invoiceIdsstringRequired
paymentMethodIdinteger · integerRequired
issuerIdstringRequired
Responses
200

OK

application/json
requestUrlstringRequired

URL where to send the user with post form data

accountCreditstringRequired

The amount of the account credit

totalAmountstringRequired

Total amount to pay

post/v3/account/invoice/pay/register
POST /v3/account/invoice/pay/register HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 59

{
  "invoiceIds": "text",
  "paymentMethodId": 1,
  "issuerId": "text"
}
{
  "requestUrl": "text",
  "postFormInputs": [
    {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    }
  ],
  "accountCredit": "text",
  "totalAmount": "text",
  "paymentMethod": {
    "id": 1,
    "name": "text",
    "isSelectable": 1,
    "paymentProviderId": 1,
    "issuers": [
      {
        "id": "text",
        "name": "text"
      }
    ]
  },
  "invoicesForPay": [
    {
      "id": "text",
      "creationDate": 1,
      "dueDate": 1,
      "invoiceNumber": "text",
      "invoiceHash": "text",
      "description": "text",
      "currency": "text",
      "currencySign": "text",
      "amountIncVAT": "text",
      "amountExclVAT": "text",
      "paymentStatus": 1,
      "paymentDate": 1,
      "isCredit": 1,
      "remainingAmount": "text",
      "totalPaidAmount": "text"
    }
  ]
}

Get invoice plus extra information to show on landing page after payment

get
Authorizations
PRIVATE-TOKENstringRequired
Responses
200

OK

application/json
messagestringRead-onlyRequired

Payment processing result message

statusstringRead-onlyRequired

Payment processing result status

paymentMethodstringRead-onlyRequired

The method of the payment

get/v3/account/invoice/pay/paymentLanding
GET /v3/account/invoice/pay/paymentLanding HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
{
  "message": "text",
  "status": "text",
  "paymentMethod": "text",
  "invoices": [
    {
      "id": "text",
      "creationDate": 1,
      "dueDate": 1,
      "invoiceNumber": "text",
      "invoiceHash": "text",
      "description": "text",
      "currency": "text",
      "currencySign": "text",
      "amountIncVAT": "text",
      "amountExclVAT": "text",
      "paymentStatus": 1,
      "paymentDate": 1,
      "isCredit": 1,
      "remainingAmount": "text",
      "totalPaidAmount": "text"
    }
  ]
}

Last updated

Was this helpful?